%define name chpox
%define version 0.6.2b
%define realversion 0.6-2b
%define release 2mdk

%define mykernel 2.4.24-0.pre2.1mdk

%{!?kernelver:%define kernelver %mykernel}

Summary: A transparent checkpointing and restarting of processes on clusters
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{realversion}.tar.bz2
License: GPL
Group: System/Base
Url: http://www.cluster.kiev.ua/tasks/chpx.html
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: %name-module
BuildRequires: kernel-source = %kernelver
BuildRequires: docbook-utils docbook-dtd31-sgml

%description
Chpox provides transparent checkpointing and restarting of processes on
Linux clusters. It was originally designed for recovering of tasks that
takes long execution time (i.e. numerical simulations) in case of system
crashes, power failures, etc. It works with openMosix, is SMP safe, works
as a kernel module, does not require kernel patches or program
recompiling/relinking, and supports virtual memory, regular open files, pipes,
Unix domain sockets, current directory, termios, and child processes.

Note:
If you want to rebuild for a specific kernel do:
rpm --rebuild --define "kernelver KERNELVERSION" %name-%version-%release.src.rpm

%package module-%kernelver
Summary: The %name kernel module
Group: System/Kernel and hardware
Provides: %name-module
Requires: %name
Requires: kernel-%kernelver

%description module-%kernelver
Chpox provides transparent checkpointing and restarting of processes on
Linux clusters. It was originally designed for recovering of tasks that
takes long execution time (i.e. numerical simulations) in case of system
crashes, power failures, etc. It works with openMosix, is SMP safe, works
as a kernel module, does not require kernel patches or program 
recompiling/relinking, and supports virtual memory, regular open files, pipes,
Unix domain sockets, current directory, termios, and child processes.

%prep
%setup -q -n %name-%realversion

%build
%configure --with-linux=/usr/src/linux-%{kernelver}/
%make KVER=%{kernelver}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std KVER=%{kernelver}

%clean
rm -rf $RPM_BUILD_ROOT

%post module-%kernelver
/sbin/depmod -a -F /boot/System.map-%kernelver %kernelver

%postun module-%kernelver
/sbin/depmod -a -F /boot/System.map-%kernelver %kernelver

%files
%defattr(-,root,root)
%doc README ChangeLog INSTALL NEWS AUTHORS
%_bindir/*
%_datadir/%name
%_mandir/*/*

%files module-%kernelver
%defattr(-,root,root)
%doc README ChangeLog INSTALL NEWS AUTHORS
/lib/modules/%kernelver/*

%changelog
* Wed Jan  7 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.6.2b-2mdk
- DIRM fix
- kernel 2.4.24.0.pre2.1mdk

* Fri Dec 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.2b-1mdk
- 1st specfile
